### Virtual Method

# Gtk LayoutManager measure

#### Declaration [src]

    void
    measure (
      GtkLayoutManager* manager,
      GtkWidget* widget,
      GtkOrientation orientation,
      int for_size,
      int* minimum,
      int* natural,
      int* minimum_baseline,
      int* natural_baseline
    )

#### Description [src]

Measures the size of the `widget` using `manager`, for the given `orientation` and size.

See the `GtkWidget` documentation on layout management for more details.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` using `manager`.

  The data is owned by the caller of the function.

`orientation`

  Type: `GtkOrientation`

  The orientation to measure.

`for_size`

  Type: `int`

  Size for the opposite of `orientation`; for instance, if the `orientation` is `GTK_ORIENTATION_HORIZONTAL`, this is the height of the widget; if the `orientation` is `GTK_ORIENTATION_VERTICAL`, this is the width of the widget. This allows to measure the height for the given width, and the width for the given height. Use -1 if the size is not known.

`minimum`

  Type: `int*`

  The minimum size for the given size and orientation.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural`

  Type: `int*`

  The natural, or preferred size for the given size and orientation.

  The argument will be set by the function.
  The argument can be `NULL`.

`minimum_baseline`

  Type: `int*`

  The baseline position for the minimum size.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_baseline`

  Type: `int*`

  The baseline position for the natural size.

  The argument will be set by the function.
  The argument can be `NULL`.